VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "PrnImage"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private vName As String
Private vForeColor As OLE_COLOR, vBackColor As OLE_COLOR
Private vLineWidth As Single
Private vOutline As Boolean, vFill As Boolean
Private vCoorX1 As Single, vCoorY1 As Single, vCoorX2 As Single, vCoorY2 As Single
Private vImage As StdPicture

Public Property Get X1() As Single
X1 = vCoorX1
End Property

Public Property Let X1(ByVal NewValue As Single)
vCoorX1 = NewValue
End Property

Public Property Get Y1() As Single
Y1 = vCoorY1
End Property

Public Property Let Y1(ByVal NewValue As Single)
vCoorY1 = NewValue
End Property

Public Property Get X2() As Single
X2 = vCoorX2
End Property

Public Property Let X2(ByVal NewValue As Single)
vCoorX2 = NewValue
End Property

Public Property Get Y2() As Single
Y2 = vCoorY2
End Property

Public Property Let Y2(ByVal NewValue As Single)
vCoorY2 = NewValue
End Property

Public Property Get Width() As Single
Width = vCoorX2 - vCoorX1
End Property

Public Property Let Width(ByVal NewValue As Single)
vCoorX2 = vCoorX1 + NewValue
End Property

Public Property Get Height() As Single
Height = vCoorY2 - vCoorY1
End Property

Public Property Let Height(ByVal NewValue As Single)
vCoorY2 = vCoorY1 + NewValue
End Property

Public Property Get Image() As StdPicture
Set Image = vImage
End Property

Public Property Set Image(ByVal NewValue As StdPicture)
Set vImage = NewValue
End Property

Public Property Get ForeColor() As OLE_COLOR
ForeColor = vForeColor
End Property

Public Property Let ForeColor(ByVal NewValue As OLE_COLOR)
vForeColor = NewValue
End Property

Public Property Get BackColor() As OLE_COLOR
BackColor = vBackColor
End Property

Public Property Let BackColor(ByVal NewValue As OLE_COLOR)
vBackColor = NewValue
End Property

Public Property Get Outline() As Boolean
Outline = vOutline
End Property

Public Property Let Outline(ByVal NewValue As Boolean)
vOutline = NewValue
End Property

Public Property Get Fill() As Boolean
Fill = vFill
End Property

Public Property Let Fill(ByVal NewValue As Boolean)
vFill = NewValue
End Property

Public Property Get LineWidth() As Single
LineWidth = vLineWidth
End Property

Public Property Let LineWidth(ByVal NewValue As Single)
If NewValue >= 0 Then vLineWidth = NewValue
End Property

Public Property Get Name() As String
Name = vName
End Property

Public Property Let Name(ByVal NewValue As String)
vName = NewValue
End Property

Private Sub Class_Initialize()
vName = vbNullString
vForeColor = ColorConstants.vbBlack
vBackColor = ColorConstants.vbWhite
vLineWidth = 0!
vOutline = False: vFill = False
vCoorX1 = 0!: vCoorY1 = 0!
vCoorX2 = 0!: vCoorY2 = 0!
Set vImage = New StdPicture
End Sub

Private Sub Class_Terminate()
Set vImage = Nothing
End Sub

Public Sub SetPos(ByVal X1 As Single, ByVal Y1 As Single, ByVal X2 As Single, Y2 As Single)
vCoorX1 = X1
vCoorY1 = Y1
vCoorX2 = X2
vCoorY2 = Y2
End Sub

Public Sub SetSize(ByVal Left As Single, ByVal Top As Single, ByVal Width As Single, Height As Single)
vCoorX1 = Left
vCoorY1 = Top
vCoorX2 = Left + Width
vCoorY2 = Top + Height
End Sub
