VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "PrnLine"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private vName As String
Private vForeColor As OLE_COLOR
Private vLineWidth As Single
Private vPoint1 As Single, vPoint2 As Single
Private vCoorX1 As Single, vCoorY1 As Single, vCoorX2 As Single, vCoorY2 As Single

Public Property Get X1() As Single
X1 = vCoorX1
End Property

Public Property Let X1(ByVal NewValue As Single)
vCoorX1 = NewValue
End Property

Public Property Get Y1() As Single
Y1 = vCoorY1
End Property

Public Property Let Y1(ByVal NewValue As Single)
vCoorY1 = NewValue
End Property

Public Property Get X2() As Single
X2 = vCoorX2
End Property

Public Property Let X2(ByVal NewValue As Single)
vCoorX2 = NewValue
End Property

Public Property Get Y2() As Single
Y2 = vCoorY2
End Property

Public Property Let Y2(ByVal NewValue As Single)
vCoorY2 = NewValue
End Property

Public Property Get Width() As Single
Width = vCoorX2 - vCoorX1
End Property

Public Property Let Width(ByVal NewValue As Single)
vCoorX2 = vCoorX1 + NewValue
End Property

Public Property Get Height() As Single
Height = vCoorY2 - vCoorY1
End Property

Public Property Let Height(ByVal NewValue As Single)
vCoorY2 = vCoorY1 + NewValue
End Property

Public Property Get ForeColor() As OLE_COLOR
ForeColor = vForeColor
End Property

Public Property Let ForeColor(ByVal NewValue As OLE_COLOR)
vForeColor = NewValue
End Property

Public Property Get LineWidth() As Single
LineWidth = vLineWidth
End Property

Public Property Let LineWidth(ByVal NewValue As Single)
If NewValue >= 0 Then vLineWidth = NewValue
End Property

Public Property Get PointStart() As Single
PointStart = vPoint1
End Property

Public Property Let PointStart(ByVal NewValue As Single)
If NewValue >= 0 Then vPoint1 = NewValue
End Property

Public Property Get PointEnd() As Single
PointEnd = vPoint1
End Property

Public Property Let PointEnd(ByVal NewValue As Single)
If NewValue >= 0 Then vPoint2 = NewValue
End Property

Public Property Get Name() As String
Name = vName
End Property

Public Property Let Name(ByVal NewValue As String)
vName = NewValue
End Property

Private Sub Class_Initialize()
vName = vbNullString
vForeColor = ColorConstants.vbBlack
vLineWidth = 0.25!
vPoint1 = 0!
vPoint2 = 0!
vCoorX1 = 0!: vCoorY1 = 0!
vCoorX2 = 0!: vCoorY2 = 0!
End Sub

Public Sub SetPointStart(ByVal X As Single, ByVal Y As Single)
vCoorX1 = X
vCoorY1 = Y
End Sub

Public Sub SetPointEnd(ByVal X As Single, ByVal Y As Single)
vCoorX2 = X
vCoorY2 = Y
End Sub
