VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "PrnPoint"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private vName As String
Private vForeColor As OLE_COLOR
Private vDiameter As Single
Private vCoorX As Single, vCoorY As Single

Public Property Get X() As Single
X = vCoorX
End Property

Public Property Let X(ByVal NewValue As Single)
vCoorX = NewValue
End Property

Public Property Get Y() As Single
Y = vCoorY
End Property

Public Property Let Y(ByVal NewValue As Single)
vCoorY = NewValue
End Property

Public Property Get ForeColor() As OLE_COLOR
ForeColor = vForeColor
End Property

Public Property Let ForeColor(ByVal NewValue As OLE_COLOR)
vForeColor = NewValue
End Property

Public Property Get Diameter() As Single
Diameter = vDiameter
End Property

Public Property Let Diameter(ByVal NewValue As Single)
If NewValue >= 0 Then vDiameter = NewValue
End Property

Public Property Get Name() As String
Name = vName
End Property

Public Property Let Name(ByVal NewValue As String)
vName = NewValue
End Property

Private Sub Class_Initialize()
vName As String
vForeColor = ColorConstants.vbBlack
vDiameter = 1!
vCoorX = 0!
vCoorY = 0!
End Sub

Public Sub SetPos(ByVal X As Single, ByVal Y As Single)
vCoorX = X
vCoorY = Y
End Sub

Public Sub Move(Optional ByVal DeltaX As Single, Optional ByVal DeltaY As Single)
vCoorX = vCoorX + DeltaX
vCoorY = vCoorY + DeltaY
End Sub
