VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "PrnText"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private vName As String
Private vOutlineColor As OLE_COLOR, vFillColor As OLE_COLOR
Private vOutline As Boolean, vFill As Boolean
Private vOutlineWidth As Single
Private vCoorX As Single, vCoorY As Single
Private vAlignX As Integer, vAlignY As Integer
Private vMirrorX As Boolean, vMirrorY As Boolean
Private vAngle As Single
Private vText As String
Private vFont As StdFont

Public Property Get X() As Single
X = vCoorX
End Property

Public Property Let X(ByVal NewValue As Single)
vCoorX = NewValue
End Property

Public Property Get Y() As Single
Y = vCoorY
End Property

Public Property Let Y(ByVal NewValue As Single)
vCoorY = NewValue
End Property

Public Property Get AlignX() As Integer
AlignX = vAlignX
End Property

Public Property Let AlignX(ByVal NewValue As Integer)
'0 - default, 1 - left, 2 - center, 3 - right
vAlignX = NewValue
End Property

Public Property Get AlignY() As Integer
AlignY = vAlignY
End Property

Public Property Let AlignY(ByVal NewValue As Integer)
'0 - default, 1 - top, 2 - middle, 3 - bottom
vAlignY = NewValue
End Property

Public Property Get MirrorX() As Boolean
MirrorX = vMirrorX
End Property

Public Property Let MirrorX(ByVal NewValue As Boolean)
vMirrorX = NewValue
End Property

Public Property Get MirrorY() As Boolean
MirrorY = vMirrorY
End Property

Public Property Let MirrorY(ByVal NewValue As Boolean)
vMirrorY = NewValue
End Property

Public Property Get OutlineWidth() As Single
OutlineWidth = vOutlineWidth
End Property

Public Property Let OutlineWidth(ByVal NewValue As Single)
If NewValue >= 0 Then vOutlineWidth = NewValue
End Property

Public Property Get Outline() As Boolean
Outline = vOutline
End Property

Public Property Let Outline(ByVal NewValue As Boolean)
vOutline = NewValue
End Property

Public Property Get OutlineColor() As OLE_COLOR
OutlineColor = vOutlineColor
End Property

Public Property Let OutlineColor(ByVal NewValue As OLE_COLOR)
vOutlineColor = NewValue
End Property

Public Property Get Fill() As Boolean
Fill = vFill
End Property

Public Property Let Fill(ByVal NewValue As Boolean)
vFill = NewValue
End Property

Public Property Get FillColor() As OLE_COLOR
FillColor = vFillColor
End Property

Public Property Let FillColor(ByVal NewValue As OLE_COLOR)
vFillColor = NewValue
End Property

Public Property Get Angle() As Single
Angle = vAngle
End Property

Public Property Let Angle(ByVal NewValue As Single)
vAngle = NewValue
End Property

Public Property Get Text() As String
Text = vText
End Property

Public Property Let Text(ByVal NewValue As String)
vText = NewValue
End Property

Public Property Get Font() As StdFont
Set Font = vFont
End Property

Public Property Set Font(ByVal NewValue As StdFont)
Set vFont = New StdFont
vFont.Name = NewValue.Name
vFont.Charset = NewValue.Charset
vFont.Size = NewValue.Size
vFont.Bold = NewValue.Bold
vFont.Italic = NewValue.Italic
vFont.Underline = NewValue.Underline
End Property

Public Property Get Name() As String
Name = vName
End Property

Public Property Let Name(ByVal NewValue As String)
vName = NewValue
End Property

Private Sub Class_Initialize()
vName = vbNullString
vOutlineColor = ColorConstants.vbBlack
vFillColor = ColorConstants.vbBlack
vOutlineWidth = 0!
vOutline = False: vFill = True
vCoorX = 0!: vCoorY = 0!
vAlignX = 0
vAlignY = 0
vMirrorX = False
vMirrorY = False
vAngle = 0
vText = vbNullString
Set vFont = New StdFont
End Sub

Private Sub Class_Terminate()
Set vFont = Nothing
End Sub

Public Sub SetPos(ByVal X As Single, ByVal Y As Single)
vCoorX = X
vCoorY = Y
End Sub

Public Sub Move(Optional ByVal DeltaX As Single, Optional ByVal DeltaY As Single)
vCoorX = vCoorX + DeltaX
vCoorY = vCoorY + DeltaY
End Sub
