VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "PrnCircle"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private vName As String
Private vForeColor As OLE_COLOR, vBackColor As OLE_COLOR
Private vLineWidth As Single
Private vOutline As Boolean, vFill As Boolean
Private vCoorX0 As Single, vCoorY0 As Single
Private vRadius As Single, vAspect As Single

Public Property Get X0() As Single
X0 = vCoorX0
End Property

Public Property Let X0(ByVal NewValue As Single)
vCoorX0 = NewValue
End Property

Public Property Get Y0() As Single
Y0 = vCoorY0
End Property

Public Property Let Y0(ByVal NewValue As Single)
vCoorY0 = NewValue
End Property

Public Property Get Radius() As Single
Radius = vRadius
End Property

Public Property Let Radius(ByVal NewValue As Single)
If NewValue >= 0 Then vRadius = NewValue
End Property

Public Property Get Aspect() As Single
Aspect = vAspect
End Property

Public Property Let Aspect(ByVal NewValue As Single)
If NewValue <> 0 Then vAspect = NewValue
End Property

Public Property Get ForeColor() As OLE_COLOR
ForeColor = vForeColor
End Property

Public Property Let ForeColor(ByVal NewValue As OLE_COLOR)
vForeColor = NewValue
End Property

Public Property Get BackColor() As OLE_COLOR
BackColor = vBackColor
End Property

Public Property Let BackColor(ByVal NewValue As OLE_COLOR)
vBackColor = NewValue
End Property

Public Property Get Outline() As Boolean
Outline = vOutline
End Property

Public Property Let Outline(ByVal NewValue As Boolean)
vOutline = NewValue
End Property

Public Property Get Fill() As Boolean
Fill = vFill
End Property

Public Property Let Fill(ByVal NewValue As Boolean)
vFill = NewValue
End Property

Public Property Get LineWidth() As Single
LineWidth = vLineWidth
End Property

Public Property Let LineWidth(ByVal NewValue As Single)
If NewValue >= 0 Then vLineWidth = NewValue
End Property

Public Property Get Name() As String
Name = vName
End Property

Public Property Let Name(ByVal NewValue As String)
vName = NewValue
End Property

Private Sub Class_Initialize()
vName = vbNullString
vForeColor = ColorConstants.vbBlack
vBackColor = ColorConstants.vbWhite
vLineWidth = 0.25!
vOutline = True: vFill = False
vCoorX0 = 0!: vCoorY0 = 0!
vRadius = 0!: vAspect = 1!
End Sub

Public Sub SetPos(ByVal X As Single, ByVal Y As Single)
vCoorX0 = X
vCoorY0 = Y
End Sub

Public Sub Move(Optional ByVal DeltaX As Single, Optional ByVal DeltaY As Single)
vCoorX0 = vCoorX0 + DeltaX
vCoorY0 = vCoorY0 + DeltaY
End Sub

Public Sub SetRadius(ByVal Radius As Single, Optional ByVal Aspect As Single = 1!)
vRadius = Radius
vAspect = Aspect
End Sub
